import request from '@/utils/request'

// 查询主数据标准文件列表
export function listFile(data) {
  return request({
    url: '/standardFile/file/list',
    method: 'post',
    data
  })
}

// 查询主数据标准文件详细
export function getFile(id) {
  return request({
    url: '/standardFile/file/' + id,
    method: 'get'
  })
}

// 新增主数据标准文件(包含文件上传)
export function addFile(data) {
  return request({
    url: '/standardFile/file',
    method: 'post',
    data: data
  })
}

// 修改主数据标准文件
export function updateFile(data) {
  return request({
    url: '/standardFile/file',
    method: 'put',
    data: data
  })
}

// 删除主数据标准文件
export function delFile(id) {
  return request({
    url: '/standardFile/file/' + id,
    method: 'delete'
  })
}

// 导出主数据标准文件
export function exportFile(query) {
  return request({
    url: '/standardFile/file/export',
    method: 'get',
    params: query
  })
}

// 标准文件批量更改状态
export function updateStatus(query) {
  return request({
    url: '/standardFile/file/updateStatus',
    method: 'put',
    params: query
  })
}

// 标准文件统计项及类型字典
export function getStatistics() {
  return request({
    url: '/standardFile/file/getStatistics',
    method: 'get'
  })
}
